//
//  RSVRSDK.h
//  Lianjia_Beike_VR
//
//  Created by 林飞阳 on 2020/3/30.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, E_RSVRWebViewLoadingType) {
    E_RSVRWebViewLoadingTypeTypeNone = 0,       // 不显示客户端 loading 动画
    E_RSVRWebViewLoadingTypeTypeDefault = 1,    // 普通 loading 动画
};

extern NSString *const kLJVRSDKVersion;

@interface RSVREntity : NSObject

/// webview URL
@property (nonatomic, copy) NSString *vrUrl;

/// webview loading 的 logo
@property (nonatomic, strong) UIImage *logoImage;

/// webview loading 的背景图
@property (nonatomic, strong) UIImage *loadingImage;

/// webview 的 loading 类型
@property (nonatomic, assign) E_RSVRWebViewLoadingType loadingType;

/// webview loading logo 的 url
/// @note 如果同时传了 logoImage 跟 logoUrl 的话, 会优先使用 logoImage 参数
@property (nonatomic, copy) NSString *logoUrl;

/// 隐藏 loading 的进度动画
@property (nonatomic, assign) BOOL hideLoadingProgress;

/// VR 的方向
/// @note 需要在 APPdelegate 里面实现 application:supportedInterfaceOrientationsForWindow: 方法,
/// 或者在工程配置里面设置 Device Orientation.
@property (nonatomic, assign) UIInterfaceOrientationMask orientation;

@end

# pragma mark -

@interface RSVRSDK : NSObject

+ (__kindof UIViewController *)VRWebViewWithParam:(RSVREntity *)param;

@end

NS_ASSUME_NONNULL_END
